## mad mad |

## Properties

gboolean | half | Read / Write
gboolean | ignore-crc | Read / Write

## Types and Values

struct | GstMad

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstAudioDecoder
                        ╰── GstMad

## Description

## Synopsis

### Element Information

plugin | mad
author | Wim Taymans <wim.taymans@gmail.com>
class | Codec/Decoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/mpeg, mpegversion=(int)1, layer=(int)[ 1, 3 ], rate=(int){ 8000, 11025, 12000, 16000, 22050, 24000, 32000, 44100, 48000 }, channels=(int)[ 1, 2 ]

name | src
direction | source
presence | always
details | audio/x-raw, format=(string)S32LE, layout=(string)interleaved, rate=(int){ 8000, 11025, 12000, 16000, 22050, 24000, 32000, 44100, 48000 }, channels=(int)[ 1, 2 ]

## Functions

## Types and Values

### struct GstMad

    struct GstMad;

## Property Details

### The `“half”` property

      “half”                     gboolean

Generate PCM at 1/2 sample rate.

Flags: Read / Write

Default value: FALSE

### The `“ignore-crc”` property

      “ignore-crc”               gboolean

Ignore CRC errors.

Flags: Read / Write

Default value: TRUE